Loading...
Searching...
No Matches
_ChannelStatistics Struct Reference

## Data Fields

size_t | depth
double | area
double | minima
double | maxima
double | sum
double | sum_squared
double | sum_cubed
double | sum_fourth_power
double | mean
double | variance
double | standard_deviation
double | kurtosis
double | skewness
double | entropy
double | median
long double | sumLD
long double | M1
long double | M2
long double | M3
long double | M4

## Detailed Description

Definition at line 29 of file statistic.h.

## Field Documentation

## area

double _ChannelStatistics::area

Definition at line 35 of file statistic.h.

## depth

size_t _ChannelStatistics::depth

Definition at line 32 of file statistic.h.

## entropy

double _ChannelStatistics::entropy

Definition at line 47 of file statistic.h.

## kurtosis

double _ChannelStatistics::kurtosis

Definition at line 45 of file statistic.h.

## M1

long double _ChannelStatistics::M1

Definition at line 52 of file statistic.h.

## M2

long double _ChannelStatistics::M2

Definition at line 53 of file statistic.h.

## M3

long double _ChannelStatistics::M3

Definition at line 54 of file statistic.h.

## M4

long double _ChannelStatistics::M4

Definition at line 55 of file statistic.h.

## maxima

double _ChannelStatistics::maxima

Definition at line 37 of file statistic.h.

## mean

double _ChannelStatistics::mean

Definition at line 42 of file statistic.h.

## median

double _ChannelStatistics::median

Definition at line 48 of file statistic.h.

## minima

double _ChannelStatistics::minima

Definition at line 36 of file statistic.h.

## skewness

double _ChannelStatistics::skewness

Definition at line 46 of file statistic.h.

## standard_deviation

double _ChannelStatistics::standard_deviation

Definition at line 44 of file statistic.h.

## sum

double _ChannelStatistics::sum

Definition at line 38 of file statistic.h.

## sum_cubed

double _ChannelStatistics::sum_cubed

Definition at line 40 of file statistic.h.

## sum_fourth_power

double _ChannelStatistics::sum_fourth_power

Definition at line 41 of file statistic.h.

## sum_squared

double _ChannelStatistics::sum_squared

Definition at line 39 of file statistic.h.

## sumLD

long double _ChannelStatistics::sumLD

Definition at line 51 of file statistic.h.

## variance

double _ChannelStatistics::variance

Definition at line 43 of file statistic.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/statistic.h